Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227062 - Review Request: jacorb-2.2.3-2jpp - Free Java implementation of OMG's CORBA standard
Summary: Review Request: jacorb-2.2.3-2jpp - Free Java implementation of OMG's CORBA s...
Keywords:
Status: CLOSED DUPLICATE of bug 252098
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:37 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-14 00:19:38 UTC


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:37:42 UTC
Spec URL: http://people.redhat.com/rafaels/specs/jacorb-2.2.3-2jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/jacorb-2.2.3-2jpp.src.rpm
Description: - high-performance, fully multithreaded ORB
- IDL compiler, supports OMG IDL/Java language mapping
  rev. 2.3, OBV
- native IIOP, GIOP 1.2 and Bidirectional GIOP
- POA (Portable Object Adapter)
- AMI (Asynchronous Method Invocations)
- ETF (Extensible Transport Framework)
- POAMonitor, a GUI tools that lets you inspect your
  object adapters (screenshot)
- Dynamic Invocation Interface (DII) and Dynamic Skeleton
  Interface (DSI)
- Dynamic Management of Anys (DynAny)
- Portable Interceptors (standard)
- OMG Interoperable Naming Service
- NameManager, a GUI browser for the name service
  (requires Swing or JDK 1.2) (screenshot)
- improved IIOP over SSL, includes KeyStoreManager
- OMG Notification  and Event service
- Transaction Service, Collection and Concurrency services
- TradingService (supports trader links), an extension of
  Mark Spruiell's free JTrader
- CORBA 2.3 Code set support
- Appligator, an IIOP proxy
- Support for HTTP tunneling
- Domain Manager, an object domain management service,
  includes a domain browser GUI
- Interface Repository
- IRBrowser, a GUI front end for the Interface Repository
- Implementation Repository
- Implementation Repository Manager, a GUI front end for
  the Implementation Repository
- IDL and Java source for all CORBA/COSS interfaces
- examples and full source code included
- 100% pure Java, JDK 1.3 and 1.4 compatible, also cooperates
  with Sun's JDK 1.2 classes (releases prior to 1.4 are
  compatible with JDK 1.1)

Javadoc for jacorb

Documents for jacorb

Usage examples for jacorb

Comment 1 Vivek Lakshmanan 2007-08-14 00:19:38 UTC
Newer version requested in another review: bug 252098


*** This bug has been marked as a duplicate of 252098 ***


Note You need to log in before you can comment on or make changes to this bug.